
var DEFAULT_CONTACT_DATA = { 
 
    NAME	            :   "name" ,
    MOOD_MESSAGE        :   "mood message" ,
    AVATA               :   g_Image.IMAGE_LIST_MAIN_CATEGORY_CONTACT_BTN_ICON,
    ONLINE_SATAE        :   g_Image.IMAGE_LIST_MAIN_ONLINE_STATUS_PRESENCE_AVAILABLE ,
}


function ContactItem () {
    
    //this.CurHighlightButton = CONTACT_MBUTTON.NO_SELECT;
        
    this.NameLayerIndex         = -1;
    this.MoodMessageLayerIndex  = -1;
    this.BoxLayerIndex			= -1;	
    this.AvataLayerIndex        = -1;
    this.OnlieStatusLayerIndex  = -1;
	//this.MsgBallonLayerIndex	= -1;
	//this.MsgNumberLayerIndex	= -1;
	
	this.IdentityName 	= null;			//Skype Name or PSTN number
	this.DisplayName	= null;
	this.AvataType		= null;
	this.StatusImg 		= null;
   
    this.BoxStyle			= new Array(ITEM_STATE.MAX);   
    this.AvataStyle			= new Array(ITEM_STATE.MAX);
    this.OnlineStyle		= new Array(ITEM_STATE.MAX);	
	this.NameStyle			= new Array(ITEM_STATE.MAX);
    this.MoodMsgStyle		= new Array(ITEM_STATE.MAX);

	this.NameMarqueeStyle		= null;
	this.NameMarqueeCheckerDiv	= null;	
   
    ListItem.call(this);
}

ContactItem.prototype = new ListItem(); 

ContactItem.prototype.Create = function(eName) {
    
    alert("ContactItem.Create()");

    this.CreateBG(eName);         
	this.CreateName(eName);	
    this.CreateMoodMessage(eName);	
    this.CreateBox(eName);		
    this.CreateAvata(eName);    
    this.CreateStatus(eName);

	
    if(this.ItemID % 2 == 1){		
    	this.SetBgImage(ITEM_STATE.NORMAL,g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_NORMAL_BG_1);
    }
    else {        
        this.SetBgImage(ITEM_STATE.NORMAL,g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_NORMAL_BG_2);
    }

	this.SetBgImage(ITEM_STATE.HIGHLIGHT,g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_HIGHLIGHT_BG);	
	
	this.SetBgStyle(ITEM_STATE.NORMAL_UP, eName + "NormalUp");
	this.SetBgStyle(ITEM_STATE.NORMAL_DOWN, eName + "NormalDown");
	this.SetBgStyle(ITEM_STATE.HIGHLIGHT, eName + "Highlight");
	
	
	this.SetMoodMsgStyle(ITEM_STATE.NORMAL, "cItem_Mood_Normal");
	this.SetMoodMsgStyle(ITEM_STATE.HIGHLIGHT, "cItem_Mood_Highlight");
	
	this.SetNameStyle(ITEM_STATE.NORMAL, "cItem_Name_Normal");
	this.SetNameStyle(ITEM_STATE.HIGHLIGHT, "cItem_Name_Highlight");
	
	this.NameMarqueeStyle = "cItem_Name_Highlight_Marquee";
	this.NameMarqueeCheckerDiv = "contactTextLengthChecker"	

	this.SetOnlineStyle(ITEM_STATE.NORMAL, "cItem_Online_Normal");
	this.SetOnlineStyle(ITEM_STATE.HIGHLIGHT, "cItem_Online_Highlight");

	
	this.SetAvataStyle(ITEM_STATE.NORMAL, "cItem_Avatar_Normal");
	this.SetAvataStyle(ITEM_STATE.HIGHLIGHT, "cItem_Avatar_Highlight");
			
	this.SetBoxStyle(ITEM_STATE.NORMAL, "cItem_Box_Normal");
	this.SetBoxStyle(ITEM_STATE.HIGHLIGHT, "cItem_Box_Highlight");

}

ContactItem.prototype.CreateName = function(eRootName) {

    var ElementStr = eRootName + "Name";
    
    this.NameLayerIndex = this.LayerArray.length;
    this.AddTextLayer(ElementStr);
    this.LayerArray[this.NameLayerIndex].SetReverseDisable(true);
    this.LayerArray[this.NameLayerIndex].SetIsPlainText(true);
             
}

ContactItem.prototype.CreateMoodMessage = function(eRootName) {

    var ElementStr = eRootName + "Mood";

    this.MoodMessageLayerIndex = this.LayerArray.length;    
    this.AddTextLayer(ElementStr); 
    this.LayerArray[this.MoodMessageLayerIndex].SetReverseDisable(true);
    this.LayerArray[this.MoodMessageLayerIndex].SetIsPlainText(true);   
  
}

ContactItem.prototype.CreateBox = function(eRootName) {

    var ElementStr = eRootName + "Box";

    this.BoxLayerIndex = this.LayerArray.length;    
    this.AddJPGImageLayer(ElementStr);
	    
	//this.LayerArray[this.BoxLayerIndex].SetImage(g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_THUMBNALE_BOX);
             
}


ContactItem.prototype.CreateAvata = function(eRootName) {

    var ElementStr = eRootName + "Avata";

    this.AvataLayerIndex = this.LayerArray.length;    
    this.AddJPGImageLayer(ElementStr);    
             
}

ContactItem.prototype.CreateStatus = function(eRootName) {

    var ElementStr = eRootName + "Online";

    this.OnlieStatusLayerIndex = this.LayerArray.length;    
    this.AddImageLayer(ElementStr);    
             
}

ContactItem.prototype.CreateMsgBallon = function(eRootName) {

    var ElementStr = eRootName + "MsgBallon";

    this.MsgBallonLayerIndex = this.LayerArray.length;    
    this.AddImageLayer(ElementStr); 
	this.LayerArray[this.MsgBallonLayerIndex].SetImage(g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_MSG_BALLON );  
             
}

ContactItem.prototype.CreateMsgNumber = function(eRootName) {

    var ElementStr = eRootName + "MsgNumber";

    this.MsgNumberLayerIndex = this.LayerArray.length;    
    this.AddTextLayer(ElementStr); 		  	  
            
}

ContactItem.prototype.SetOnlineStyle = function(ItemStateIndex, Style){
    	
	this.OnlineStyle[ItemStateIndex] = Style;
    
}

ContactItem.prototype.SetBoxStyle = function(ItemStateIndex, Style){
    	
	this.BoxStyle[ItemStateIndex] = Style;
    
}


ContactItem.prototype.SetAvataStyle = function(ItemStateIndex, Style){
    	
	this.AvataStyle[ItemStateIndex] = Style;
    
}

ContactItem.prototype.SetNameStyle = function(ItemStateIndex, Style){
    	
	this.NameStyle[ItemStateIndex] = Style;
    
}

ContactItem.prototype.SetMoodMsgStyle = function(ItemStateIndex, MoodMsgStyle){
    	
	this.MoodMsgStyle[ItemStateIndex] = MoodMsgStyle;
    
}

ContactItem.prototype.GetIdentity = function(){

    return this.IdentityName;
}

ContactItem.prototype.GetIdentityName = function(){

    return this.IdentityName;
}

ContactItem.prototype.GetDisplayName = function(){

    return this.DisplayName;
}


ContactItem.prototype.UpNormal = function() {
	alert("ContactItem.prototype.UpNormal");
    this.State = ITEM_STATE.NORMAL_UP;
	this.ChangeBG();
	this.ChangeLayerForNormal();
}

ContactItem.prototype.DownNormal = function() {
	alert("ContactItem.prototype.DownNormal");
    this.State = ITEM_STATE.NORMAL_DOWN;
	this.ChangeBG();
	this.ChangeLayerForNormal();
}

ContactItem.prototype.Highlight = function() {
	alert("ContactItem.prototype.Highlight");
	this.State = ITEM_STATE.HIGHLIGHT;
	this.ChangeBG();
	this.ChangeLayerForHighlight();
	
}


ContactItem.prototype.ChangeLayerForHighlight = function() {
	
	alert("ContactItem.ChangeLayerForHighlight()");

	//$("#"+ this.LayerArray[this.BoxLayerIndex].Obj).css('display', 'none');	
	this.LayerArray[this.BoxLayerIndex].SetStyle(this.BoxStyle[ITEM_STATE.HIGHLIGHT]);
	this.LayerArray[this.BoxLayerIndex].SetImage(g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_HIGHLIGHT_THUMBNALE_BOX);
	this.LayerArray[this.AvataLayerIndex].SetStyle(this.AvataStyle[ITEM_STATE.HIGHLIGHT]);		
    this.SetBigAvata();
	this.LayerArray[this.MoodMessageLayerIndex].SetStyle(this.MoodMsgStyle[ITEM_STATE.HIGHLIGHT]);	
    this.LayerArray[this.OnlieStatusLayerIndex].SetStyle(this.OnlineStyle[ITEM_STATE.HIGHLIGHT]); 
//	this.SetStatusHighlight();
	this.SetStatusNormal();
       
	if(this.LayerArray[this.NameLayerIndex].CheckTextLength(this.NameMarqueeCheckerDiv, this.DisplayName) > 175)
	{
		this.LayerArray[this.NameLayerIndex].SetTextStyle(this.NameMarqueeStyle);
	}
	else{
		this.LayerArray[this.NameLayerIndex].SetTextStyle(this.NameStyle[ITEM_STATE.HIGHLIGHT]);
	}

}


ContactItem.prototype.ChangeLayerForNormal = function() {

    alert("ContactItem.ChangeLayerForNormal()");    
	
	//$("#"+ this.LayerArray[this.BoxLayerIndex].Obj).css('display', 'block');
	this.LayerArray[this.BoxLayerIndex].SetStyle(this.BoxStyle[ITEM_STATE.NORMAL]);	
	this.LayerArray[this.BoxLayerIndex].SetImage(g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_NORMAL_THUMBNALE_BOX);
	this.LayerArray[this.AvataLayerIndex].SetStyle(this.AvataStyle[ITEM_STATE.NORMAL]);
	this.SetSmallAvata();
    this.LayerArray[this.MoodMessageLayerIndex].SetStyle(this.MoodMsgStyle[ITEM_STATE.NORMAL]);	
    this.LayerArray[this.OnlieStatusLayerIndex].SetStyle(this.OnlineStyle[ITEM_STATE.NORMAL]); 		
	this.SetStatusNormal();
	this.LayerArray[this.NameLayerIndex].SetTextStyle(this.NameStyle[ITEM_STATE.NORMAL]);
	
}


ContactItem.prototype.SetItem = function(ContactDataObject) {
	
	alert("CContactItem.SetItem()");
	
	this.IdentityName = ContactDataObject.IdentityName;
	this.DisplayName = ContactDataObject.DisplayName;
	this.AvataType = ContactDataObject.AvataImgType;
	this.StatusImg = ContactDataObject.OnlineStatusImgPath;
	
	this.LayerArray[this.NameLayerIndex].SetText(ContactDataObject.DisplayName);

	//TEMPCODE
	var tempSuffix = g_Data.GetImgSuffixPath();
	if(this.AvataType == ENUM_CONTACT_AVATA_TYPE.ONES_IMAGE){
				
		this.LayerArray[this.AvataLayerIndex].SetImage(ContactDataObject.AvataImgPath + tempSuffix);
	}
	else{		
		this.LayerArray[this.AvataLayerIndex].SetImage(ContactDataObject.AvataImgPath);	
	}
	
	this.LayerArray[this.OnlieStatusLayerIndex].SetImage(ContactDataObject.OnlineStatusImgPath);
	this.LayerArray[this.MoodMessageLayerIndex].SetText(ContactDataObject.MoodMsg);
		
	this.ExistData = true;

	//alert("DisplayName = " + ContactDataObject.DisplayName);
	//alert("IdentityName = " + ContactDataObject.IdentityName);
	//alert("MoodMsg = " + ContactDataObject.MoodMsg);	
	//alert("AvataType = " + this.AvataType);
	//alert("AvataImage = " + ContactDataObject.AvataImgPath + tempSuffix);	
	
}

ContactItem.prototype.SetLiveCallItem = function( callMemberID){

	alert("ContactItem.SetLiveCallItem() : " + callMemberID);

	var Avatar;
	var isPSTN = PluginAPIMgr.GetContactPropWithName(callMemberID,ENUM_CONTACT_PROPERTY.P_PSTNNUMBER);
	
	if(ProcMgr.GetIsConferenceCall()){

		//Set Name
		var NumOfCallMembers = PluginAPIMgr.GetNumOfCallMembers();
		var CallMembersName = "";
		
		for (var i = 0; i < NumOfCallMembers; i++) {
		
			if(i == NumOfCallMembers - 1){
				
				CallMembersName = CallMembersName + PluginAPIMgr.GetCallMemberDisplayName(i);
			}
			else{
				
				CallMembersName = CallMembersName + PluginAPIMgr.GetCallMemberDisplayName(i) + ", "	
			}
				
		}

		this.DisplayName = CallMembersName;		
				
		//Set avatar
		Avatar = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_GROUP;
		this.AvataType = ENUM_CONTACT_AVATA_TYPE.GROUP;
		
	}
	else{

		this.DisplayName = PluginAPIMgr.GetCallMemberDisplayName();		
		Avatar = PluginAPIMgr.GetCallMemberAvataImage();

		if(callMemberID == 'echo123')
		{
			Avatar = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_TEST_CALL;
			this.AvataType = ENUM_CONTACT_AVATA_TYPE.TEST_CALL;
		}
		else if(Avatar){
			this.AvataType = ENUM_CONTACT_AVATA_TYPE.ONES_IMAGE;
		}
		else if(isPSTN)
		{
			Avatar = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_PSTN;
			this.AvataType = ENUM_CONTACT_AVATA_TYPE.PSTN;
		}
		else{
			Avatar = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_NO_GENDER;
			this.AvataType = ENUM_CONTACT_AVATA_TYPE.NO_GENDER;
		}
	}

	
	this.IdentityName = callMemberID;//PluginAPIMgr.GetCallMemberID();

	//alert("Name = " + Name);
	this.LayerArray[this.NameLayerIndex].SetText(this.DisplayName);

	//alert("AvataType = " + this.AvataType);
	this.LayerArray[this.AvataLayerIndex].SetImage(Avatar);
		
	//Set Status
	var StatusImg = PluginAPIMgr.GetCallMemberOnlineStateImageWithID(callMemberID);		
	if(StatusImg == g_Image.IMAGE_ONLINE_STATUS_PRESENCE_BLOCKED)
		this.LayerArray[this.OnlieStatusLayerIndex].SetImage(StatusImg);
	else if(isPSTN)
		this.LayerArray[this.OnlieStatusLayerIndex].SetImage(g_Image.IMAGE_ONLINE_STATUS_PRESENCE_CALLING);
	else
		this.LayerArray[this.OnlieStatusLayerIndex].SetImage(StatusImg);
		
	//Set Duration Time
	var Time = IDWS_MOIP_SKYPE_CALL_DURATION + " : ";
	//alert("Time = " + Time);
	this.LayerArray[this.MoodMessageLayerIndex].SetText(Time);
	
	this.ExistData = true;

}

ContactItem.prototype.SetDuration = function(strTime){

	var DurationTime = IDWS_MOIP_SKYPE_CALL_DURATION + " : "+ strTime;
	this.LayerArray[this.MoodMessageLayerIndex].SetText(DurationTime);
}

ContactItem.prototype.SetSmallAvata = function() {
	
	alert("ContactItem.SetSmallAvata(IdentityName : "+this.IdentityName+") Type : " + this.AvataType);
	
	if(this.AvataType == ENUM_CONTACT_AVATA_TYPE.ONES_IMAGE){
		return;
	}
	
	var Avata;
	
	switch(this.AvataType) {

		case ENUM_CONTACT_AVATA_TYPE.PSTN:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_PSTN;	
			break;
		
		case ENUM_CONTACT_AVATA_TYPE.MALE:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_MALE;	
			break;

		case ENUM_CONTACT_AVATA_TYPE.FEMALE:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_FEMALE;	
			break;
		
		case ENUM_CONTACT_AVATA_TYPE.MYSELF:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_MYSELF;	
			break;
			
		case ENUM_CONTACT_AVATA_TYPE.TEST_CALL:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_TEST_CALL;	
			break;
		
		case ENUM_CONTACT_AVATA_TYPE.GROUP:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_GROUP;
			break;				

		case ENUM_CONTACT_AVATA_TYPE.NO_GENDER:			
		default :
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_NO_GENDER;	
			break;	
			
	}
	
	this.LayerArray[this.AvataLayerIndex].SetImage(Avata);
	
}

ContactItem.prototype.SetBigAvata = function() {
	
	alert("ContactItem.SetBigAvata(IdentityName : "+this.IdentityName+") Type : " + this.AvataType);
	if(this.AvataType == ENUM_CONTACT_AVATA_TYPE.ONES_IMAGE){
		return;
	}
	
	var Avata;
	
	switch(this.AvataType) {

		case ENUM_CONTACT_AVATA_TYPE.PSTN:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_PSTN_BIG;	
			break;
		
		case ENUM_CONTACT_AVATA_TYPE.MALE:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_MALE_BIG;	
			break;

		case ENUM_CONTACT_AVATA_TYPE.FEMALE:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_FEMALE_BIG;	
			break;
		
		case ENUM_CONTACT_AVATA_TYPE.MYSELF:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_MYSELF_BIG;	
			break;
			
		case ENUM_CONTACT_AVATA_TYPE.TEST_CALL:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_TEST_CALL_BIG;	
			break;	
					
		case ENUM_CONTACT_AVATA_TYPE.GROUP:
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_GROUP_BIG;
			break;					

		case ENUM_CONTACT_AVATA_TYPE.NO_GENDER:		
		default :
			Avata = g_Image.IMAGE_LIST_MAIN_HISTORY_LIST_ITEM_DEFAULT_AVATA_NO_GENDER_BIG;	
			break;	
			
	}
	
	this.LayerArray[this.AvataLayerIndex].SetImage(Avata);
	
}

ContactItem.prototype.SetStatusHighlight = function() {
	
	
	var StatusImgPath = this.StatusImg;
	
	switch(StatusImgPath) {

		case g_Image.IMAGE_ONLINE_STATUS_PRESENCE_OFFLINE:
			StatusImgPath = g_Image.IMAGE_ONLINE_STATUS_PRESENCE_OFFLINE_HIGHLIGHT;	
			break;
		
		case g_Image.IMAGE_ONLINE_STATUS_PRESENCE_AVAILABLE:
			StatusImgPath = g_Image.IMAGE_ONLINE_STATUS_PRESENCE_AVAILABLE_HIGHLIGHT;	
			break;

		case g_Image.IMAGE_ONLINE_STATUS_PRESENCE_SKYPEOUT:
			StatusImgPath = g_Image.IMAGE_ONLINE_STATUS_PRESENCE_SKYPEOUT_HIGHLIGHT;	
			break;
	}

	this.LayerArray[this.OnlieStatusLayerIndex].SetImage(StatusImgPath);
	
}


ContactItem.prototype.SetStatusNormal = function() {
	
	
	var StatusImgPath = this.StatusImg;
	
	switch(StatusImgPath) {

		case g_Image.IMAGE_ONLINE_STATUS_PRESENCE_OFFLINE_HIGHLIGHT:
			StatusImgPath = g_Image.IMAGE_ONLINE_STATUS_PRESENCE_OFFLINE;	
			break;
		
		case g_Image.IMAGE_ONLINE_STATUS_PRESENCE_AVAILABLE_HIGHLIGHT:
			StatusImgPath = g_Image.IMAGE_ONLINE_STATUS_PRESENCE_AVAILABLE;	
			break;

		case g_Image.IMAGE_ONLINE_STATUS_PRESENCE_SKYPEOUT_HIGHLIGHT:
			StatusImgPath = g_Image.IMAGE_ONLINE_STATUS_PRESENCE_SKYPEOUT;	
			break;
	}
	
	this.LayerArray[this.OnlieStatusLayerIndex].SetImage(StatusImgPath);
	
}

//////////////////////////////////////////////////////////////

function pContactItem () {
    		
    ContactItem.call(this);
}

pContactItem.prototype = new ContactItem(); 

pContactItem.prototype.Create = function(eName) {
    
    alert("ContactItem.Create()");

    this.CreateBG(eName);         
	this.CreateName(eName);	
    this.CreateMoodMessage(eName);	
    this.CreateBox(eName);		
    this.CreateAvata(eName);    
    this.CreateStatus(eName);

	
    if(this.ItemID % 2 == 1){		
    	this.SetBgImage(ITEM_STATE.NORMAL,g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_NORMAL_BG_1);
    }
    else {        
        this.SetBgImage(ITEM_STATE.NORMAL,g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_NORMAL_BG_2);
    }

	this.SetBgImage(ITEM_STATE.HIGHLIGHT,g_Image.IMAGE_LIST_MAIN_CONTACT_LIST_ITEM_HIGHLIGHT_BG);	
	
	this.SetBgStyle(ITEM_STATE.NORMAL_UP, eName + "NormalUp");
	this.SetBgStyle(ITEM_STATE.NORMAL_DOWN, eName + "NormalDown");
	this.SetBgStyle(ITEM_STATE.HIGHLIGHT, eName + "Highlight");
	
	
	this.SetMoodMsgStyle(ITEM_STATE.NORMAL, "cItem_Mood_Normal");
	this.SetMoodMsgStyle(ITEM_STATE.HIGHLIGHT, "cItem_Mood_Highlight");
	
	this.SetNameStyle(ITEM_STATE.NORMAL, "cItem_Name_Normal");
	this.SetNameStyle(ITEM_STATE.HIGHLIGHT, "cItem_Name_Highlight");
	
	this.NameMarqueeStyle = "cItem_Name_Highlight_Marquee";
	this.NameMarqueeCheckerDiv = "pContactListTextLengthChecker"	

	this.SetOnlineStyle(ITEM_STATE.NORMAL, "cItem_Online_Normal");
	this.SetOnlineStyle(ITEM_STATE.HIGHLIGHT, "cItem_Online_Highlight");

	
	this.SetAvataStyle(ITEM_STATE.NORMAL, "cItem_Avatar_Normal");
	this.SetAvataStyle(ITEM_STATE.HIGHLIGHT, "cItem_Avatar_Highlight");
			
	this.SetBoxStyle(ITEM_STATE.NORMAL, "cItem_Box_Normal");
	this.SetBoxStyle(ITEM_STATE.HIGHLIGHT, "cItem_Box_Highlight");	
	
}
